Summary:	GIF-manipulation library
Name:		libungif
Version:	4.1.0b1
%define		so_ver	4.1.0
Release:	4
License:	X Consortium-like
Group:		Libraries
Source0:	ftp://prtr-13.ucsc.edu/pub/libungif/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-stdarg.patch
Patch1:		%{name}-CVS.patch
URL:		http://prtr-13.ucsc.edu/~badger/software/libungif/
Provides:	libgif.so.4 
Provides:	giflib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	giflib

%description
GIF loading and saving shared library. (Saving uses an uncompressed
gif algorithm that does not use LZW compression.)

%package 	devel
Summary:	GIF-manipulation library header files and documentation. 
Group:		Development
Provides:	giflib-devel
Provides:	libgif.so

%description devel
Libraries and headers needed for developing programs that use libungif
to load and save gif image files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
aclocal
autoconf
automake -a -c
libtoolize --copy --force
%configure 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR="$RPM_BUILD_ROOT" install

ln -sf libungif.so.%{so_ver} $RPM_BUILD_ROOT%{_libdir}/libgif.so.%{so_ver}
ln -sf libungif.so.%{so_ver} $RPM_BUILD_ROOT%{_libdir}/libgif.so.4
ln -sf libungif.so.%{so_ver} $RPM_BUILD_ROOT%{_libdir}/libgif.so
ln -sf libungif.a $RPM_BUILD_ROOT%{_libdir}/libgif.a

rm -f doc/Makefile*
gzip -9nf README UNCOMPRESSED_GIF doc/*.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/*.la

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%{_libdir}/lib*.a
%attr(755,root,root) %{_bindir}/*
